#include "GameBase.hpp"
#include "pgnp.hpp"

class PGNGameBase : public GameBase {
  pgnp::PGN *pgn;
  bool hasNextGame;
  std::string file;

public:
  PGNGameBase(std::string pgn_file);
  Game *GetGame(std::uint32_t id);
  bool NextGame();
  std::string GetTag(std::string tag);
  void Reset();
};